Visit our newest sister site!
Hundreds of free aircraft flight manuals
Civilian • Historical • Military • Declassified • FREE!


TUCoPS :: Security App Flaws :: tb11304.htm

Kaspersky Multiple insufficient argument validation of hooked SSDT function Vulnerability (20



Kaspersky Multiple insufficient argument validation of hooked SSDT function Vulnerability
Kaspersky Multiple insufficient argument validation of hooked SSDT function Vulnerability



Hello,

We would like to inform you about a vulnerability in Kaspersky Internet Security 6.


Description:

Kaspersky Internet Security hooks many functions in SSDT and in at least nine cases it fails to validate arguments that 
come from the user mode. User calls to NtCreateKey, NtCreateProcess, NtCreateProcessEx, NtCreateSection, 
NtCreateSymbolicLinkObject, NtCreateThread, NtLoadKey2, NtOpenKey, NtOpenProcess with invalid argument values can cause 
system crashes because of errors in KIS driver klif.sys. Further impacts of this bug (like arbitrary code execution in 
the kernel mode) were not examined.

Note: A similar vulnerability in klif.sys driver has been published recently by an independent security researcher. In 
that report, the list of vulnerable functions also contains NtDeleteValueKey, NtOpenSection and NtQueryValueKey.


Vulnerable software:

     * Kaspersky Internet Security 6.0.2.621
     * Kaspersky Internet Security 6.0.2.614
     * probably all older versions of Kaspersky Internet Security 6
     * possibly older versions of Kaspersky Internet Security and other Kaspersky products that use klif.sys driver



More details and a proof of concept including its source code are available here:
http://www.matousec.com/info/advisories/Kaspersky-Multiple-insufficient-argument-validation-of-hooked-SSDT-functions.php 


Regards,

-- 
Matousec - Transparent security Research
http://www.matousec.com/ 




TUCoPS is optimized to look best in Firefox® on a widescreen monitor (1440x900 or better).
Site design & layout copyright © 1986-2014 AOH